Bug 981080 - [abrt] codeblocks-10.05-10.fc18: path_split: Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
[abrt] codeblocks-10.05-10.fc18: path_split: Process /usr/bin/codeblocks was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
abrt_hash:bf9606a769d4357771fc57deede...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 20:53 EDT by Dylan1473
Modified: 2014-02-05 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:03:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.61 KB, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: cgroup (128 bytes, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: core_backtrace (8.04 KB, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: dso_list (10.78 KB, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: environ (1.71 KB, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: maps (56.91 KB, text/plain)
2013-07-03 20:53 EDT, Dylan1473
no flags Details
File: open_fds (501 bytes, text/plain)
2013-07-03 20:54 EDT, Dylan1473
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-07-03 20:54 EDT, Dylan1473
no flags Details
File: var_log_messages (486 bytes, text/plain)
2013-07-03 20:54 EDT, Dylan1473
no flags Details
File: xsession_errors (176 bytes, text/plain)
2013-07-03 20:54 EDT, Dylan1473
no flags Details

  None (edit)
Description Dylan1473 2013-07-03 20:53:28 EDT
Description of problem:
This problem occurred when I was trying to compile a C++ project. The project was very basic, just filling a vector with three strings and printing them using an auto for loop to test that it was working with the c++11 standard. It occurred twice in a row. Projects compile fine with c++11 in eclipse-cdt and presumably with just gcc by itself as well.

Version-Release number of selected component:
codeblocks-10.05-10.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/codeblocks
crash_function: path_split
executable:     /usr/bin/codeblocks
kernel:         3.7.9-205.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 path_split at pathsplit.c:82
 #1 depsTimeStamp at depslib.c:142
 #2 DirectCommands::IsObjectOutdated at directcommands.cpp:872
 #3 DirectCommands::GetTargetCompileCommands at directcommands.cpp:431
 #4 DirectCommands::GetCompileCommands at directcommands.cpp:383
 #5 CompilerGCC::BuildStateManagement at compilergcc.cpp:2408
 #6 CompilerGCC::DoRunQueue at compilergcc.cpp:1164
 #7 CompilerGCC::DoBuild at compilergcc.cpp:2729
 #8 CompilerGCC::Build at compilergcc.cpp:2740
 #9 CompilerGCC::OnCompile at compilergcc.cpp:3024
Comment 1 Dylan1473 2013-07-03 20:53:36 EDT
Created attachment 768541 [details]
File: backtrace
Comment 2 Dylan1473 2013-07-03 20:53:39 EDT
Created attachment 768542 [details]
File: cgroup
Comment 3 Dylan1473 2013-07-03 20:53:42 EDT
Created attachment 768543 [details]
File: core_backtrace
Comment 4 Dylan1473 2013-07-03 20:53:46 EDT
Created attachment 768544 [details]
File: dso_list
Comment 5 Dylan1473 2013-07-03 20:53:53 EDT
Created attachment 768545 [details]
File: environ
Comment 6 Dylan1473 2013-07-03 20:53:56 EDT
Created attachment 768546 [details]
File: limits
Comment 7 Dylan1473 2013-07-03 20:53:59 EDT
Created attachment 768547 [details]
File: maps
Comment 8 Dylan1473 2013-07-03 20:54:02 EDT
Created attachment 768548 [details]
File: open_fds
Comment 9 Dylan1473 2013-07-03 20:54:05 EDT
Created attachment 768549 [details]
File: proc_pid_status
Comment 10 Dylan1473 2013-07-03 20:54:08 EDT
Created attachment 768550 [details]
File: var_log_messages
Comment 11 Dylan1473 2013-07-03 20:54:11 EDT
Created attachment 768551 [details]
File: xsession_errors
Comment 12 Dylan1473 2013-07-03 21:10:03 EDT
Not sure if this counts as a resolution but if you add the nightly repository and get the latest version this issue is fixed.
Comment 13 Fedora End Of Life 2013-12-21 09:14:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 17:03:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.